libzypp: zypp::target::PatchScriptReport Struct Reference

libzypp 17.36.6

Public Types | Public Member Functions | List of all members
zypp::target::PatchScriptReport Struct Reference

Indicate execution of a patch script. More...

`#include <zypp/ZYppCallbacks.h>`

Inheritance diagram for zypp::target::PatchScriptReport:

## Public Types
enum | Notify { OUTPUT , PING }
enum | Action { ABORT , RETRY , IGNORE }
Public Types inherited from zypp::callback::ReportBase
typedef callback::UserData | UserData
typedef UserData::ContentType | ContentType

## Public Member Functions
virtual void | start (const Package::constPtr &, const Pathname &)
| Start executing the script provided by package.
virtual bool | progress (Notify, const std::string &=std::string())
| Progress provides the script output.
virtual Action | problem (const std::string &)
| Report error.
virtual void | finish ()
| Report success.
Public Member Functions inherited from zypp::callback::ReportBase
virtual void | report (const UserData &userData_r=UserData())
| The most generic way of sending/receiving data.
virtual | ~ReportBase ()

## Detailed Description

Indicate execution of a patch script.

This is a sort of `post` script shipped by a package and to be executed after the package was installed.

Definition at line 519 of file ZYppCallbacks.h.

## Member Enumeration Documentation

## ◆ Notify

enum zypp::target::PatchScriptReport::Notify

Enumerator
OUTPUT |
PING |

Definition at line 521 of file ZYppCallbacks.h.

## ◆ Action

enum zypp::target::PatchScriptReport::Action

Enumerator
ABORT |
RETRY |
IGNORE |

Definition at line 522 of file ZYppCallbacks.h.

## Member Function Documentation

## ◆ start()

virtual void zypp::target::PatchScriptReport::start | ( | const Package::constPtr & | ,
|  | const Pathname & | )
| inlinevirtual

Start executing the script provided by package.

Definition at line 530 of file ZYppCallbacks.h.

## ◆ progress()

virtual bool zypp::target::PatchScriptReport::progress | ( | Notify | ,
|  | const std::string & | = std::string() )
| inlinevirtual

Progress provides the script output.

If the script is quiet, from time to time still-alive pings are sent to the ui. Returning `FALSE` aborts script execution.

Definition at line 537 of file ZYppCallbacks.h.

## ◆ problem()

virtual Action zypp::target::PatchScriptReport::problem | ( | const std::string & |  | ) |
| inlinevirtual

Report error.

Definition at line 541 of file ZYppCallbacks.h.

## ◆ finish()

virtual void zypp::target::PatchScriptReport::finish | ( |  | ) |
| inlinevirtual

Report success.

Definition at line 544 of file ZYppCallbacks.h.

The documentation for this struct was generated from the following file:

- zypp/ZYppCallbacks.h